<template>
  <div class="bot" v-if="showtool" id="move3">
    <div class="top1">
      <span class="botcon">
        <span class="icon"></span>
        <span class="text">能力评估</span>
      </span>
      <span class="close" @click="close">x</span>
    </div>
    <div class="next">
      <el-form ref="form" :model="form" label-width="250px">
        <!-- <el-form-item label="监测站:">
          <el-button @click="ClickName()">选中</el-button>
          <span class="clicktext">{{ chooseJCZ }}</span>
        </el-form-item> -->

        <el-form-item label="接收灵敏度:">
          <el-input v-model="form.coverageThreshold">
            <i slot="suffix" style="margin-right: 10px;font-size:35px">dBm</i>
          </el-input>
        </el-form-item>
        <el-form-item label="接收增益:">
          <el-input v-model="form.rxAntGain">
            <i slot="suffix" style="margin-right: 10px;font-size:35px">dBi</i>
          </el-input>
        </el-form-item>
        <el-form-item label="传播模型" prop="name">
          <el-select v-model="form.propModel" placeholder="请选择活动区域">
            <el-option
              label="OKumura-Hata 模型(150MHz~1500MHz)"
              value="1"
            ></el-option>
            <el-option
              label="COST231 Hata 模型(1500MHz~2400MHz)"
              value="12"
            ></el-option>
            <el-option label="ITU 1546模型(30MHz~3GHz)" value="2"></el-option>
            <el-option
              label="ITU 452微波模型(100MHz~50GHz)"
              value="41"
            ></el-option>
          </el-select>
        </el-form-item>
        <!-- <el-form-item label="分析类型" prop="name">
          <el-select v-model="form.analysisType" placeholder="请选择活动区域">
            <el-option label="单次分析" value="shanghai"></el-option>
            <el-option label="多次分析" value="shanghai"></el-option>
          </el-select>
        </el-form-item> -->
        <el-form-item label="设备类型" prop="equtype">
          <el-select v-model="form.analysisType" placeholder="请选择活动区域">
            <el-option label="黑广播" value="黑广播"></el-option>
            <el-option label="其他" value="其他"></el-option>
            <el-option label="伪基站" value="伪基站"></el-option>
            <el-option label="对讲机" value="对讲机"></el-option>
          </el-select>
        </el-form-item>

        <el-form-item label="发射功率:">
          <el-input v-model="form.txPower">
            <i slot="suffix" style="margin-right: 10px;font-size:35px">dBm</i>
          </el-input>
        </el-form-item>
        <el-form-item label="分析频率:">
          <el-input v-model="form.frequency">
             <i slot="suffix" style="margin-right: 10px;font-size:35px">MHz</i>
          </el-input>
        </el-form-item>
        <el-form-item label="发射高度:">
          <el-input v-model="form.txAntHeight">
             <i slot="suffix" style="margin-right: 10px;font-size:35px">m</i>
          </el-input>
        </el-form-item>
        <el-form-item label="发射增益:">
          <el-input v-model="form.txAntGain">
             <i slot="suffix" style="margin-right: 10px;font-size:35px">dBi</i>
          </el-input>
        </el-form-item>
      </el-form>
      <div class="btns">
        <span @click="analyse">分析</span>
        <span @click="clear">重置</span>
        <!-- <span style="">生成报告</span> -->
      </div>
    </div>
    <div class="bottable" v-if="isFX">
      <div class="toptable">有效覆盖能力</div>
      <tr>
        <td id="small">序号</td>
        <td>业务类型</td>
        <td>有效覆盖面积</td>
      </tr>
      <tr>
        <td id="small1">1</td>
        <td>{{data.name}}</td>
        <td >{{data.value}}</td>
      </tr>
    </div>
  </div>
</template>

<script>
import { addMouseEvent } from "../../utils/work";
import bus from "../../utils/bus";

let Base64 = require("js-base64").Base64;
export default {
  data() {
    return {
      form: {
        frequency: 100,
        txAntHeight: 20,
        txFrequency: "",
        txPower: 50,
        txAntGain: 0,
        rxAntHeight: 0,
        coverageThreshold: "-110",
        rxAntGain: 0,
        monFrequency: "",
        propModel: "ITU 1546模型(30MHz~3GHz)",
        modelName: "",
        monstationGuid: "2",
        analysisType: "黑广播",
        freqPoint: 100,
        //areaResult: 6207.2001,
      },
      data:{},
      showtool: false,
      offgain: null,
      isFX:false
    };
  },
  mounted() {
     bus.$on("clearEve",e=>{
      this.clear()
    })
    bus.$on("showdio", (e) => {
      this.showtool = e==4;
    });
     bus.$on("isFX", (e) => {
      this.isFX = e;
    });
    bus.$emit("newData", (e)=>{
      this.data = e
    })
    // bus.$on("ismonstationName", (e) => {
    //   this.chooseJCZ = e;
    // });
  },
  methods: {
    close() {
      this.showtool = false;
      window.showtable=false;
       if (window.JCZlist.length > 0) {
            for (var j = 0; j < window.JCZlist.length; j++) {
                viewer.entities.removeById(window.JCZlist[j].id);
            }

        }
    },
    clear() {
      this.form = {
        frequency: 100,
        txAntHeight: 20,
        txFrequency: "",
        txPower: 50,
        txAntGain: 0,
        rxAntHeight: 0,
        coverageThreshold: "-110",
        rxAntGain: 0,
        monFrequency: "",
        propModel: "ITU 1546模型(30MHz~3GHz)",
        modelName: "",
        monstationGuid: "2",
        analysisType: "伪基站",
        freqPoint: 100,
        //areaResult: 6207.2001,
      };
       window.showtable=false;
       if (window.JCZlist.length > 0) {
            for (var j = 0; j < window.JCZlist.length; j++) {
                viewer.entities.removeById(window.JCZlist[j].id);
            }

        }
    },
    analyse(){
      window.showtable=true;
      window.objform = this.form;
      //addMouseEvent(this.form)
    },
  
    

  },
};
</script>

<style scoped>
.bot {
  width: 1000px;
  transform: translate(1800px, 200px);
  height: 1300px;
  background: url(~@/assets/image/test/22.png);
  background-size: 100% 100%;
  background-repeat: no-repeat;
  position: absolute;
  left: 2120px;
  top: 480px;
}
.top1 {
  width: 95%;
  height: 10%;
  font-size: 45px;
  font-weight: bold;
  margin: 0px auto;
  border-bottom: 2px solid #fff;
  color: #fff;
  letter-spacing: 3px;
}
.icon {
  position: absolute;
  left: 60px;
  width: 40px;
  height: 40px;
  top: 50px;
  background-size: 100% 100% !important;
  background-repeat: no-repeat !important;
  background-position: center !important;
  background: url(~@/assets/image/subject/题标.png);
}
.text {
  display: inline-block;
  margin-left: 90px;
}
.close {
  position: absolute;
  font-size: 65px;
  right: 60px;
  font-weight: 400;
  top: 25px;
}
.close:hover {
  color: red;
  transition: color 1s;
  cursor: pointer;
}
.next {
  width: 89%;
  height: 79%;
  margin: 0 auto;
}
.next >>> .el-form-item {
  margin-top: 40px;
}
.next >>> .el-input {
  width: 84%;
}
.next >>> .el-date-editor {
  width: 390px;
}
.next >>> .el-form-item__label {
  color: #fff;
  font-size: 40px;
}
.next>>>.el-select{
    width: 640px;
}
.next >>> .el-input__inner {
  font-size: 35px;
}
.next >>> .el-form-item__error {
  font-size: 30px;
  font-weight: 700;
}
.botcon {
  display: inline-block;
  margin-top: 34px;
}
.btns {
  margin-top: 50px;
  width: 100%;
  height: 70px;
  transform: translateX(-0px);
  display: flex;
  justify-content: center;
}
.btns > span {
  display: block;
  width: 200px;
  height: 70px;
  border: 1px solid #000;
  text-align: center;
  font-size: 35px;
  line-height: 70px;
  margin: 0 40px;
  cursor: pointer;
}
.btns > span:nth-child(3) {
  color: #fff;
  background-image: linear-gradient(#76c2f6, #6a9cf1);
}
.btns > span:nth-child(-n + 2) {
  color: #000;
  background: #cadaea;
}
.clicktext {
  font-size: 40px;
  margin-left: 20px;
  color: #fff;
}
.bottable{
  position: absolute;
  width: 1000px;
  height: 150px;
  border: 5px solid #fff;
  top: 1650px;
  right: 100px;
}
.bottable tr{
  width: 100%;
  height: 30%;
}
.bottable tr td{
    width: 431px;
    height: 57px;
    font-size: 40px;
    background: #0B3A58;
}
#small,#small1{
    width: 137px;
}
 #small1{
    background: red;
}
.toptable{
  width:1010px;
  height: 60px;
  position: absolute;
  top: -65px;
  font-size: 40px;
  letter-spacing: 5px;
  text-align: center;
  background: #0AAFC9;
  transform: translateX(-5px);
}
.bottable tr td{
  color: #fff;
}
</style>
